Summary: ltmodem linmodem package
%define kversion 2.2.19
%define kversionrpm kv_2.2.19
%define moduledir /lib/modules/2.2.19/misc
%define devfsdir /etc/devfs/conf.d

Name: ltmodem
Version: 6.00c2
Release: 1
Copyright: GPL
Group: Drivers/System
Source: rpmball.tar.gz
BuildRoot: /var/tmp/%{name}-root
#BuildArch: i586
AutoReqProv: No
Requires: no package provides kernel = 2.2.19

%description
ltmodem rpm package for correct installation and 
removal of ltmodem support

%package %{kversionrpm}
Summary: ltmodem linmodem package for %{kversion}
Group: Drivers/System
Requires: kernel = %{kversion}

%description %{kversionrpm}
ltmodem rpm package for correct installation and 
removal of ltmodem support, even between kernel upgrades
Only for kernel %{kversion}

%prep
%setup -q -n rpmball

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{moduledir}
cp lt_serial.o $RPM_BUILD_ROOT%{moduledir}
cp lt_modem.o $RPM_BUILD_ROOT%{moduledir}

mkdir -p $RPM_BUILD_ROOT%{devfsdir}
cp etc_devfs_conf.d_ltmodem $RPM_BUILD_ROOT%{devfsdir}/ltmodem

%clean
rm -rf $RPM_BUILD_ROOT

%post %{kversionrpm}
export DOCDIR=%{docdir}
export USEDEVFS=1
%include autoload

%preun %{kversionrpm}
%include cleanup

%files %{kversionrpm}
%doc 1ST-READ CHANGELOG UPDATES-BUGS DOCs utils
%{moduledir}/lt_serial.o
%{moduledir}/lt_modem.o
%{devfsdir}/ltmodem
